# ../scripts/custom/gg_roundend_blocker/gg_roundend_blocker_config.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_roundend_blocker instance
        with config.cfg_cvar('gg_roundend_blocker') as cvar:

            cvar.name = 'ROUNDEND BLOCKER'
            cvar.description.append('Blocks the round from ending.')
            cvar.description.append('Perfect for use with ' +
                'gamemodes like DeathMatch or FFA/Elimination.')
            cvar.options.append(
                '0 = (Disabled) Do not load gg_roundend_blocker.')
            cvar.options.append('1 = (Enabled) Load gg_roundend_blocker.')
            cvar.default = 0
            cvar.text = 'Enables/Disables gg_roundend_blocker.'
